org.apache.ignite.cache.affinity

## Class CacheAffinityNodeIdHashResolver

- java.lang.Object
- - org.apache.ignite.cache.affinity.CacheAffinityNodeIdHashResolver

All Implemented Interfaces:
  Serializable, CacheAffinityNodeHashResolver

    public class CacheAffinityNodeIdHashResolver
    extends Object
    implements CacheAffinityNodeHashResolver

Node hash resolver which uses generated node ID as node hash value. As new node ID is generated on each node start, this resolver do not provide ability to map keys to the same nodes after restart.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheAffinityNodeIdHashResolver()`

### Method Summary

Methods
`Object` `resolve(ClusterNode node)` Resolve alternate hash value for the given Grid node.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheAffinityNodeIdHashResolver

    public CacheAffinityNodeIdHashResolver()

### Method Detail

#### resolve

    public Object resolve(ClusterNode node)

Resolve alternate hash value for the given Grid node.

Specified by:
  `resolve` in interface `CacheAffinityNodeHashResolver`
Parameters:
  `node` - Grid node.
Returns:
  Resolved hash ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015